crash initializing java when firefox launches [@ libSystem.B.dylib.71.1.4 + 0x4312c]

RESOLVED INCOMPLETE

Status

Core Graveyard
Java: OJI
--
critical
RESOLVED INCOMPLETE
13 years ago
8 years ago

People

(Reporter: frank326, Assigned: Kyle Yuan)

Tracking

({crash})

1.7 Branch
PowerPC
Mac OS X
crash

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: closeme 2009-05-25, crash signature)

Attachments

(1 attachment)

(Reporter)

Description

13 years ago
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/312.1.1 (KHTML, like Gecko) Safari/312
Build Identifier:  Multiple Versions

After moths of useful web searching with FireFox something caused Talkback to start launching while 
firefox is started. This halts firefox from starting and leaves me with talkback. If I disable talkback 
firefox begin's to start then dissappears. I had talkback send an incident report and talkback goes into 
an infinate loop requesting to send one incident report after another. I uninstalled FireFox and installed 
the newest version. Talkback continues to start taking over for FireFox. Is there a way to tell Talkback 
that it's OK to let firefox to start?

Reproducible: Always

Comment 1

13 years ago
Talkback starts because Firefox crashes.  If you disable talkback, Firefox will
simply crash.  This way the crashes get reported to a central location.

Can you list some talkback IDs?  They show up at
http://talkback-public.mozilla.org/ and may provide a clue as to why Firefox
stopped working.

Other questions:
Which version of Firefox are you trying to use?
Did anything unusual happen around the time Firefox stopped working?

Creating a new profile may work.  See
http://www.mozilla.org/support/firefox/profile#new
Keywords: crash
(Reporter)

Comment 2

13 years ago
I looked at the talkback ID's and couldn't find the ones I sent in. When I sent the crash through Talkback  
it din't appear to work althoough I tried several times. I attempted it again and it seems to have worked 
this time (I clicked on send a second time when it seemed to do nothing) and it gave me an incident ID 
of TB9701903Y.

Product Identifier: Firefox10
Build Identifier: 2005071604

This is what I currently get when I attempt starting Fierfox, even though I uninstalled Firefox1.0 and 
reinstalled Firefox 1.0.6. I assumed that a reinstall would fix it. 

I did't do anything except double click on Firefox in the finder to start it.  I don't know what was going 
on when Firefox first failed. It just started crashing after the kids were playing o the computer. 

Thanks for your efforts.

Comment 3

13 years ago
Incident ID: 9701903
Stack Signature	libSystem.B.dylib.71.1.4 + 0x4312c (0x9004312c) b6c951f1
Product ID	Firefox10
Build ID	2005071604
Trigger Time	2005-09-24 18:16:57.0
Platform	MacOSX
Operating System	Darwin 7.9.0
Module	libSystem.B.dylib.71.1.4 + (0004312c)
URL visited	Unknown
User Comments	This is bug report #308422
Since Last Crash	1 sec
Total Uptime	5 sec
Trigger Reason	SIGABRT: Abort: (signal 6)
Source File, Line No.	N/A
Stack Trace 	
libSystem.B.dylib.71.1.4 + 0x4312c (0x9004312c)
libSystem.B.dylib.71.1.4 + 0x9fb9c (0x9009fb9c)
__cxxabiv1::__unexpected()
__cxa_rethrow()
operator()
operator()
nsPluginHostImpl::ReadPluginInfo() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/modules/plugin/base/src/nsPluginHostImpl.cpp,
line 5485]
nsPluginHostImpl::FindPlugins() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/modules/plugin/base/src/nsPluginHostImpl.cpp,
line 43]
nsPluginHostImpl::LoadPlugins() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/modules/plugin/base/src/nsPluginHostImpl.cpp,
line 5019]
nsPluginHostImpl::GetPluginFactory() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/modules/plugin/base/src/nsPluginHostImpl.cpp,
line 4471]
nsJVMManager::StartupJVM() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/modules/oji/src/nsJVMManager.cpp,
line 710]
nsJVMManager::MaybeStartupLiveConnect() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/modules/oji/src/nsJVMManager.cpp,
line 876]
nsJVMManager::StartupLiveConnect()
nsJSEnvironment::Init() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/dom/src/base/nsJSEnvironment.cpp,
line 710]
NS_CreateScriptContext() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/dom/src/base/nsJSEnvironment.cpp,
line 2038]
nsDocShell::EnsureScriptEnvironment() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/docshell/base/nsDocShell.cpp,
line 692]
nsWebShell::GetInterface() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/docshell/base/nsWebShell.cpp,
line 304]
nsGetInterface::operator() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/xpcom/glue/nsIInterfaceRequestorUtils.cpp,
line 710]
nsCOMPtr_base::assign_from_helper() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/xpcom/glue/nsCOMPtr.cpp,
line 114]
nsAppShellService::GetHiddenWindowAndJSContext() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/xpfe/appshell/src/nsAppShellService.cpp,
line 202]
nsAppShellService::SetXPConnectSafeContext() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/xpfe/appshell/src/nsAppShellService.cpp,
line 202]
nsAppShellService::CreateHiddenWindow() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/xpfe/appshell/src/nsAppShellService.cpp,
line 481]
xre_main() 
[/builds/tinderbox/Fx-Aviary1.0.1/Darwin_7.9.0_Depend/mozilla/toolkit/xre/nsAppRunner.cpp,
line 1826]
_start()   start()
Assignee: nobody → yuanyi21
Component: Startup and Profile System → Java: OJI
Product: Firefox → Core
QA Contact: startup → pete.zha
Summary: Talkback starts shortly after firefox attempts to start, halting Fierfox. → crash initializing java when firefox launches [@ libSystem.B.dylib.71.1.4 + 0x4312c]
Version: unspecified → 1.7 Branch
Three things:

If you haven't done so already, you should upgrade to Firefox 1.0.7 as soon as
possible.  It contains important security fixes --
http://www.mozilla.org/security.

This crash seems to take place before any code in the Java plugin is invoked.
And there isn't enough information in the log to tell _which_ Java plugin is
being loaded.  On the face of it, it looks like one or more of the plugins is
corrupted.  Please give us a list of _all_ the files in your /Library/Internet
Plug-Ins/ directory.

> Creating a new profile may work.  See
> http://www.mozilla.org/support/firefox/profile#new

If you haven't yet tried this, please do so.

(Reporter)

Comment 5

13 years ago
Created attachment 198813 [details]
Responce to inquery

I am running Firefox1.0.6 I'll update after I give you this information.

I tried creating a new profile and it appears that it crashed trying to alocate
4 GIG of memory:

Ada-Ingrams-Computer:/Applications/Utilities/Firefox.app/Contents/MacOS rfi$
./firefox -profilemanager
*** malloc_zone_malloc[2743]: argument too large: 4294967284
./run-mozilla.sh: line 451:  2743 Abort trap		  "$prog" ${1+"$@"}
Ada-Ingrams-Computer:/Applications/Utilities/Firefox.app/Contents/MacOS rfi$ 

A  list of _all_ the files in my /Library/Internet Plug-Ins/ directory:

Ada-Ingrams-Computer:/Library/Internet Plug-Ins rfi$ ls -l
total 12672
drwxrwxrwx  3 rfi   rfi        102 29 Aug 20:55 DRM Plugin.bundle
drwxrwxr-x  3 root  admin      102  6 Jul  2004 Flash Player.plugin
-rwxrwxr-x  1 root  admin      963 31 Aug  2004 Java Applet Plugin Enabler
drwxrwxr-x  3 root  admin      102  6 Aug  2004 Java Applet.plugin
drwxrwxr-x  3 root  admin      102 15 Sep 21:18 JavaPluginCocoa.bundle
-rw-rw-r--  1 root  admin     4752 31 Aug  2004 NP-PPC-Dir-Shockwave
drwxrwxr-x  3 root  admin      102 31 Aug 14:49 QuickTime Plugin.plugin
drwxrwxr-x  3 root  admin      102 31 Aug 14:49 QuickTime Plugin.webplugin
-rw-r--r--  1 rfi   admin	 0  7 Oct 09:39 RealPlayer Plugin
-rw-r--r--  1 rfi   admin	 0  7 Oct 09:39 RealPlayer Plugin.xpt
-rwxrwxr-x  1 rfi   admin	 0 14 Dec  2001 TGEQA.suit
-rwxrwxr-x  1 rfi   admin	 0 14 Dec  2001 TGEQAS.suit
-rwxrwxr-x  1 rfi   admin	 0 14 Dec  2001 TGEQM.suit
-rwxrwxr-x  1 rfi   admin	 0 14 Dec  2001 TGEQS.suit
drwxrwxrwx  3 rfi   rfi        102 29 Aug 20:55 Windows Media Plugin
-rw-rw-r--  1 root  admin      856 21 Mar  2004 flashplayer.xpt
-r--r--r--  1 rfi   admin  5394798  1 Mar  2004 npTGEQPLUGIN
-rw-rw-r--  1 rfi   admin   663552  9 Dec  2003 npTGEQPlugin.dat
-rwxrwxr-x  1 rfi   admin     8695 21 Jul  2003 npTGEQhelp.html
-rw-rw-r--  1 root  admin     2394 31 Aug 13:45 nsIQTScriptablePlugin.xpt
Ada-Ingrams-Computer:/Library/Internet Plug-Ins rfi$
(Reporter)

Comment 6

13 years ago
(In reply to comment #4)
> Three things:
> 
> If you haven't done so already, you should upgrade to Firefox 1.0.7 as soon as
> possible.  It contains important security fixes --
> http://www.mozilla.org/security.

I finally attempted to install Firefox 1.0.7. The install terminates the same way, calling up Talkback and 
the install ends. I even tried moving the /Library/Internet Plug-Ins directory and couldn't install Firefox 
1.0.7.

> 
> This crash seems to take place before any code in the Java plugin is invoked.
> And there isn't enough information in the log to tell _which_ Java plugin is
> being loaded.  On the face of it, it looks like one or more of the plugins is
> corrupted.  Please give us a list of _all_ the files in your /Library/Internet
> Plug-Ins/ directory.
> 
> > Creating a new profile may work.  See
> > http://www.mozilla.org/support/firefox/profile#new
> 
> If you haven't yet tried this, please do so.
> 
> 

Please see bug report if you haven't seen the list of internet plug in's in /Library directory and the crash 
whe I attempted to make a new profile.

It's pretty clear that the crash log in comment #3 is unrelated to
your problem ... or at least to your current problem.

So I need to ask you to do a bit of work, to provide more information.
I can't guarantee that having the information will allow Mozilla.org
to fix your problem.  But I _can_ guarantee that we currently don't
have enough valid information to do anything.

First, do whatever you need to do to make Firefox crash one more time.

Then choose "Go : Home" in your Mac desktop's main menu (the Finder
menu) -- the contents of your home directory will be displayed.
Browse to the Library/Logs/CrashReporter directory.  It should contain
a file named "firefox-bin.crash.log".  Double-click on this file -- it
should open in the Console utility.  Other Console windows may open
too.  The one you want is the one whose title is
"firefox-bin.crash.log".

As its name suggests, this file contains logs of crashes that have
happened in Firefox.  Each time you crash, a new log is appended to
the file's end.  By now the file is probably quite large, and should
contain many crashes.  What I want (of course) is the most recent one
-- the one that was added after your latest crash.

Each log is quite long -- possibly several hundred lines.  Each new
log starts with the following lines, or something similar:

>**********
>
>Host Name:      swann.mynet.net
>Date/Time:      2005-10-09 23:56:34 -0500
>OS Version:     10.3.9 (Build 7W98)
>Report Version: 2
>
>Command: firefox-bin
>Path:    /Users/smichaud/Desktop/Firefox 1.5 Beta 2.app/Contents/MacOS/firefox-bin
>Version: 1.4.1 (1.4.1)
>PID:     1451
>Thread:  0
>
>Exception:  EXC_BAD_ACCESS (0x0001)
>Codes:      KERN_INVALID_ADDRESS (0x0001) at 0x65787404
>
>Thread 0 Crashed:
>0   libobjc.A.dylib            0x9083266c class_poseAs + 0x1ac
>1   ???                                0x0402a6c0 InstallCarbonEventHandlers +
0x580
>...

Select the _entire_ last log (the last entry in the
firefox-bin.crash.log file), then choose "File : Save Selection As
..." from the Console menu.  Choose whatever name you like -- perhaps
"FirefoxCrash.txt".

Then, in a different browser (Safari?), browse to this bug (bug
308422).  Choose "Create a new attachment", and follow the prompts to
upload the file you've saved ("FirefoxCrash.txt") as an attachment to
this comment.

>A  list of _all_ the files in my /Library/Internet Plug-Ins/ directory:
>
>Ada-Ingrams-Computer:/Library/Internet Plug-Ins rfi$ ls -l
>total 12672
>drwxrwxrwx  3 rfi   rfi        102 29 Aug 20:55 DRM Plugin.bundle
>...

Thanks for this information.  It may yet come in handy.

>I even tried moving the /Library/Internet Plug-Ins directory and
>couldn't install Firefox 1.0.7.

But this shows your problem isn't caused by anything in this
directory.  (So, for example, it can't be a Java problem.)

I hope you moved this directory back, though.  It's contents are very
important for browsing the web, from _any_ browser.

(Reporter)

Comment 8

13 years ago
I started Firefox which bounces the firefox symbol on the Dock then adds the symbol
for talkback on the Dock. The firefox symbol disappears ant the two talkback windows
appear. One, called Panel for the step by step process of sending in the incident.
The other, Talkback Incidents. I run through the Panel steps and select "don't
send" to not start another incident. Then, I quit Talkback.  

I looked in the /Users/<userID>/Library/Logs/CrashReporter and  viewed the
file firefox-bin.crash.log. This file appeared to have only one crash listed for
August 29 the date of the original crash. I looked at the creation and modify dates
and they both indicate the August 29th date.

So, I logged in as another user who has never used firefox. Went through the same
procedure. The same thing happened except that there was no firefox-bin.crash.log
in the user's /Users/<userID>/Library/Logs/CrashReporter directory eather 
befor or after attempting to start firefox. 

Any idea what I should try next?
I'm stumped.  I don't know the TalkBack system well enough to be able to help
you.

Updated

12 years ago
Blocks: 353557

Updated

12 years ago
No longer blocks: 353557

Comment 10

9 years ago
still see this problem?
if not please close this bug accordingly (probably worksforme)
Severity: normal → critical
Whiteboard: closeme 2009-05-25
Please file a new bug report if the problem still occurs in Firefox 3
(or newer) with the latest version of the Java plugin.

-> INCOMPLETE
Status: UNCONFIRMED → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → INCOMPLETE

Updated

8 years ago
Component: Java: OJI → Java: OJI
Product: Core → Core Graveyard
Crash Signature: [@ libSystem.B.dylib.71.1.4 + 0x4312c]
You need to log in before you can comment on or make changes to this bug.